""" JSR-170 content repository exceptions, Level 1. 
"""

class JSR170Exception(Exception):
    pass

class RepositoryException(JSR170Exception):
    pass

class LoginException(JSR170Exception):
    pass

class NoSuchWorkspaceException(JSR170Exception):
    pass

class ItemNotFoundException(JSR170Exception):
    pass

class PathNotFoundException(JSR170Exception):
    pass

class AccessDeniedException(JSR170Exception):
    pass

class NoSuchNodeTypeException(JSR170Exception):
    pass

class UnsupportedRepositoryOperationException(JSR170Exception):
    pass

class NamespaceException(JSR170Exception):
    pass
